package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 商品规格名对象 mall_goods_spec
 *
 * @author chang
 * @date 2021-11-25
 */
public class MallGoodsSpec extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 规格名称 */
    @Excel(name = "规格名称")
    private String name;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    private String updateAt;

    /** 状态: 0=正常,1=删除 */
    @Excel(name = "状态: 0=正常,1=删除")
    private String status;

    /** 删除标记 */
    private String delFlag;

    private List<MallGoodsSpecValue> spec;

    public List<MallGoodsSpecValue> getSpec() {
        return spec;
    }

    public void setSpec(List<MallGoodsSpecValue> spec) {
        this.spec = spec;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
